Bug 1730010 - lasso includes "Destination" attribute in SAML AuthnRequest populated with SP AssertionConsumerServiceURL when ECP workflow is used which leads to IdP-side errors
Summary: lasso includes "Destination" attribute in SAML AuthnRequest populated with SP...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lasso
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-15 14:59 UTC by John Dennis
Modified: 2019-09-30 00:01 UTC (History)
3 users (show)

Fixed In Version: lasso-2.6.0-14.fc30 lasso-2.6.0-18.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-11 03:12:20 UTC
Type: Bug


Attachments (Terms of Use)

Description John Dennis 2019-07-15 14:59:55 UTC
Lasso adds a Destination attribute to the AuthnRequest using the ECP profile. This is not compatible with the ECP profile because the SP does not know the IdP when generating an AuthnRequest hence it cannot know the Destination.

See upstream bug for more discussion and upstream commit fixing the issue.
https://dev.entrouvert.org/issues/34409

Comment 1 Ben Cotton 2019-08-13 17:10:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 18:57:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Fedora Update System 2019-09-02 08:09:48 UTC
FEDORA-2019-1d805d15f3 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1d805d15f3

Comment 4 Fedora Update System 2019-09-02 23:56:33 UTC
lasso-2.6.0-18.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7d6c55ea51

Comment 5 Fedora Update System 2019-09-03 02:56:34 UTC
lasso-2.6.0-14.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1d805d15f3

Comment 6 Fedora Update System 2019-09-11 03:12:20 UTC
lasso-2.6.0-14.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-09-30 00:01:07 UTC
lasso-2.6.0-18.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.